%undefine __cmake_in_source_build
%global framework kimap

# uncomment to enable bootstrap mode
#global bootstrap 1

%if !0%{?bootstrap}
%global tests 1
%endif

Name:           kf5-%{framework}
Version:        23.08.5
Release:        1
Summary:        The KIMAP Library

License:        GPLv2+ and LGPLv2+
URL:            https://invent.kde.org/frameworks/%{framework}

%global majmin %majmin_ver_kf5
%global stable %stable_kf5
Source0:        http://download.kde.org/%{stable}/release-service/%{version}/src/%{framework}-%{version}.tar.xz

BuildRequires:  make
BuildRequires:  boost-devel
BuildRequires:  cyrus-sasl-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-rpm-macros
BuildRequires:  kf5-kcoreaddons-devel >= 5.23
BuildRequires:  kf5-kdelibs4support-devel >= 5.23
BuildRequires:  kf5-kmime-devel >= %{majmin_ver}
BuildRequires:  qt5-qtbase-devel
%if 0%{?tests}
BuildRequires:  dbus-x11
BuildRequires:  xorg-x11-server-Xvfb
%endif

%if ! 0%{?bootstrap}
Suggests:       cyrus-sasl-gssapi%{?_isa}
Suggests:       cyrus-sasl-md5
Requires:       cyrus-sasl-plain
%endif

Conflicts:      kde-l10n < 17.03

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       kf5-kcoreaddons-devel
Requires:       kf5-kmime-devel
Requires:       boost-devel
Requires:       cyrus-sasl-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -n %{framework}-%{version} -p1


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} .. \
  -DBUILD_TESTING:BOOL=%{?tests:ON}%{!?tests:OFF}
popd
%make_build -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot}  -C %{_target_platform}

%find_lang %{name} --all-name --with-html


%check
%if 0%{?tests}
export CTEST_OUTPUT_ON_FAILURE=1
xvfb-run -a \
dbus-launch --exit-with-session \
make test ARGS="--output-on-failure --timeout 30" -C %{_target_platform} ||:
%endif


%ldconfig_scriptlets

%files -f %{name}.lang
%license LICENSES/*
%{_kf5_datadir}/qlogging-categories5/*%{framework}.*
%{_kf5_libdir}/libKPim5IMAP.so.*

%files devel
%{_includedir}/KPim5/KIMAP/
%{_kf5_libdir}/libKPim5IMAP.so
%{_kf5_libdir}/cmake/KF5IMAP/
%{_kf5_libdir}/cmake/KPim5IMAP/
%{_includedir}/KPim5/KIMAPTest/kimaptest/
%{_kf5_libdir}/libkimaptest.a
%{_kf5_archdatadir}/mkspecs/modules/qt_KIMAP.pri


%changelog
* Mon Mar 18 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.5-1
- update verison to 23.08.5

* Mon Jan 08 2024 peijiankang <peijiankang@kylinos.cn> - 23.08.4-1
- update verison to 23.08.4

* Fri Aug 04 2023 peijiankang <peijiankang@kylinos.cn> - 23.04.3-1
- 23.04.3

* Sat May 06 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-2
- fix install error

* Wed Apr 26 2023 peijiankang <peijiankang@kylinos.cn> - 22.12.0-1
- Update version to 22.12.0

* Wed Nov 23 2022 misaka00251 <liuxin@iscas.ac.cn> - 22.08.0-1
- Init package
